"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const constants_1 = require("./constants");
// find .git directory
// create symlink to gitSentinel
const gitHooksDir = findGitDir();
if (!gitHooksDir) {
    console.error('.git directory not found. Maybe not a git repo.');
    process.exit(1);
}
console.log('found git hooks dir', gitHooksDir);
const currentDir = __dirname;
const precommit = `#!/bin/sh

node ${__dirname.split(constants_1.default.dirDelimiter).join(constants_1.all.Linux.dirDelimiter)}/../dist/run.js
`;
console.log('data', precommit);
const filename = `${gitHooksDir}${constants_1.default.dirDelimiter}pre-commit`;
fs.writeFileSync(filename, precommit);
fs.chmodSync(filename, '755');
function findGitDir() {
    let dir = __dirname;
    while (dir.length) {
        dir = dir.substr(0, dir.lastIndexOf(constants_1.default.dirDelimiter));
        if (fs.existsSync(`${dir}${constants_1.default.dirDelimiter}.git`)) {
            return `${dir}${constants_1.default.dirDelimiter}.git${constants_1.default.dirDelimiter}hooks`;
        }
    }
    return '';
}
//# sourceMappingURL=postinstall.js.map